# Create certificate authority

Creates a new certificate authority.

Endpoint: POST /certificateAuthorities
Version: 0.0.1

## Request fields (multipart/form-data):

  - `publicKey` (string, required)
    The public key of the certificate authority must be uploaded.

  - `privateKey` (string)
    The private key is only necessary if you plan to issue certificate using this certificate authority.

  - `password` (string)
    If upload private key is password-protected, specify the password. If not, leave the password blank.

## Response 202 fields (application/json):

  - `requestId` (string)
    The unique request identifier for tracking the operation.

  - `id` (string)

## Response 400 fields (application/json):

  - `requestId` (string)
    Identifier for tracking the failed request.

  - `timestamp` (string)
    Time when the error occurred.

  - `debugMessage` (string)
    Optional diagnostic detail used for troubleshooting.

  - `errors` (array)
    List of error detail objects.

  - `errors.code` (string)
    Error code identifying the type of error.

  - `errors.message` (string)
    Message describing the error.

  - `errors.reason` (string)
    Explanation of the cause of the error.

  - `errors.suggestion` (string)
    Optional guidance for resolving or preventing the error.

  - `error` (object)
    Detailed error information for troubleshooting.

  - `error.code` (string)
    Error code identifying the type of error.

  - `error.message` (string)
    Message describing the error.

  - `error.reason` (string)
    Explanation of the cause of the error.

  - `error.suggestion` (string)
    Optional guidance for resolving or preventing the error.


